Bug 1626494 - New Repositories page needs a clear option for the search bar.
Summary: New Repositories page needs a clear option for the search bar.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: John Mitsch
QA Contact: Mirek Zalewski
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-07 13:16 UTC by John Spinks
Modified: 2019-10-07 17:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:05 UTC
Foreman Issue Tracker 25049 None None None 2018-09-26 15:50:32 UTC

Description John Spinks 2018-09-07 13:16:21 UTC
Description of problem:

When using the new repositories page there needs to be a clear button in the search bar.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Log into Satellite Web UI
2. Go to Content > Red Hat Repositories
3. Type in a search string.  For example: "label =  rhel-7-server-ansible-2-rpms"
4. Click Search
5. There should be a clear button in the search bar to return you to the full list.

Actual results:

To clear you must:
1. Manually remove the data in the search bar.
2. Click Search

Expected results:

Ideally, there should be a clear button in the search bar.
I believe that Rox mentioned this was in the mockups.

Additional info:

Comment 1 Brad Buckingham 2018-09-07 15:10:50 UTC
This behavior likely exists across the entire UI; therefore, leaving on UI component.

Comment 3 John Mitsch 2018-09-26 15:50:32 UTC
Created redmine issue https://projects.theforeman.org/issues/25049 from this bug

Comment 4 pm-sat@redhat.com 2018-09-26 16:08:15 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 5 pm-sat@redhat.com 2018-09-26 16:08:17 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 6 pm-sat@redhat.com 2018-09-28 14:08:15 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25049 has been resolved.

Comment 8 Mirek Zalewski 2018-11-21 11:45:13 UTC
Clear button is available for search field on Red Hat Repositories page. After clicking it, field is cleared and full list of products is displayed.

Verified on:
Satellite 6.5 snap 4
satellite-6.5.0-4.beta.el7sat.noarch
pulp-server-2.17.1-1.el7sat.noarch
foreman-1.20.0-1.el7sat.noarch
katello-3.9.0-0.11.rc2.el7sat.noarch

Comment 11 errata-xmlrpc 2019-05-14 12:37:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.